Loading...
Searching...
No Matches
juce::FontFeatureTag Class Referencefinal

## Detailed Description

Represents a single OpenType font feature.

OpenType font features are typographic options that can be enabled or disabled to control text rendering behavior. Each feature is identified by a four-character tag (like 'liga' for standard ligatures or 'smcp' for small caps). These features allow fine-grained control over how text is displayed, including ligatures, number styles, stylistic alternates, and positioning adjustments.

The tag must be exactly 4 characters long.

See also
  FontOptions, Font

The documentation for this class was generated from the following file:

- juce_graphics/fonts/juce_FontFeatures.h

## Public Member Functions

constexpr | FontFeatureTag (const char(&string)[5])
| Constructs a feature from the specified tag string.
constexpr | FontFeatureTag (uint32 tagValue)
| Constructs a feature from the specified tag value.
String | toString () const
| Returns a string representation of this tag.
constexpr uint32 | getTag () const
| Returns the Harfbuzz compatible OpenType tag as an unsigned 32-bit integer.
constexpr bool | operator< (FontFeatureTag other) const
| Comparison based on tag value.
constexpr bool | operator<= (FontFeatureTag other) const
| Comparison based on tag value.
constexpr bool | operator> (FontFeatureTag other) const
| Comparison based on tag value.
constexpr bool | operator>= (FontFeatureTag other) const
| Comparison based on tag value.
constexpr bool | operator== (FontFeatureTag other) const
| Comparison based on tag value.
constexpr bool | operator!= (FontFeatureTag other) const
| Comparison based on tag value.

## Static Public Member Functions

static FontFeatureTag | fromString (const String &tagString)
| Creates a new FontFeature with the specified tag.

## Constructors and Destructors

## FontFeatureTag() [1/2]

juce::FontFeatureTag::FontFeatureTag | ( | const char(&) | string[5] | ) |

inline constexpr

Constructs a feature from the specified tag string.

Referenced by fromString(), operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## FontFeatureTag() [2/2]

juce::FontFeatureTag::FontFeatureTag | ( | uint32 | tagValue | ) |

inline explicit constexpr

Constructs a feature from the specified tag value.

## Member Functions

## fromString()

FontFeatureTag juce::FontFeatureTag::fromString | ( | const String & | tagString | ) |

static nodiscard

Creates a new FontFeature with the specified tag.

References FontFeatureTag().

## toString()

String juce::FontFeatureTag::toString | ( |  | ) | const

Returns a string representation of this tag.

## getTag()

uint32 juce::FontFeatureTag::getTag | ( |  | ) | const

inline constexpr

Returns the Harfbuzz compatible OpenType tag as an unsigned 32-bit integer.

## operator<()

bool juce::FontFeatureTag::operator< | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

## operator<=()

bool juce::FontFeatureTag::operator<= | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

## operator>()

bool juce::FontFeatureTag::operator> | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

## operator>=()

bool juce::FontFeatureTag::operator>= | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

## operator==()

bool juce::FontFeatureTag::operator== | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

## operator!=()

bool juce::FontFeatureTag::operator!= | ( | FontFeatureTag | other | ) | const

inline nodiscard constexpr

Comparison based on tag value.

References FontFeatureTag().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited